using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 附件表
    /// </summary>
    [Description("附件表")]
    public class T_FO_CURRENT_CLASS_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 当班工作记录ID
        /// </summary>
        [Description("当班工作记录ID")]
        [DataFieldForeignKey("Nav_CurrentClassRecord", "Nav_Files")]
        public Guid CURRENT_CLASS_RECORD_ID { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：当班工作记录
        /// </summary>
        [Description("导航属性：当班工作记录")]
        public virtual T_FO_CURRENT_CLASS_RECORD Nav_CurrentClassRecord { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
